CMSIS-Driver: MCI Card Power Controls

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
MCI Card Power Controls
MCI Interface

Specify Memory Card Power supply voltage. More...

## Macros

#define | ARM_MCI_POWER_VDD_OFF (0x01UL << ARM_MCI_POWER_VDD_Pos)
| VDD (VCC) turned off. More...
#define | ARM_MCI_POWER_VDD_3V3 (0x02UL << ARM_MCI_POWER_VDD_Pos)
| VDD (VCC) = 3.3V. More...
#define | ARM_MCI_POWER_VDD_1V8 (0x03UL << ARM_MCI_POWER_VDD_Pos)
| VDD (VCC) = 1.8V. More...
#define | ARM_MCI_POWER_VCCQ_OFF (0x01UL << ARM_MCI_POWER_VCCQ_Pos)
| eMMC VCCQ turned off More...
#define | ARM_MCI_POWER_VCCQ_3V3 (0x02UL << ARM_MCI_POWER_VCCQ_Pos)
| eMMC VCCQ = 3.3V More...
#define | ARM_MCI_POWER_VCCQ_1V8 (0x03UL << ARM_MCI_POWER_VCCQ_Pos)
| eMMC VCCQ = 1.8V More...
#define | ARM_MCI_POWER_VCCQ_1V2 (0x04UL << ARM_MCI_POWER_VCCQ_Pos)
| eMMC VCCQ = 1.2V More...

## Description

Specify Memory Card Power supply voltage.

Specifies the power supply volatge for a memory card. Used with the function ARM_MCI_CardPower as the parameter voltage.

The following codes are defined:

## Macro Definition Documentation

#define ARM_MCI_POWER_VDD_OFF (0x01UL << ARM_MCI_POWER_VDD_Pos)

VDD (VCC) turned off.

#define ARM_MCI_POWER_VDD_3V3 (0x02UL << ARM_MCI_POWER_VDD_Pos)

VDD (VCC) = 3.3V.

#define ARM_MCI_POWER_VDD_1V8 (0x03UL << ARM_MCI_POWER_VDD_Pos)

VDD (VCC) = 1.8V.

#define ARM_MCI_POWER_VCCQ_OFF (0x01UL << ARM_MCI_POWER_VCCQ_Pos)

eMMC VCCQ turned off

#define ARM_MCI_POWER_VCCQ_3V3 (0x02UL << ARM_MCI_POWER_VCCQ_Pos)

eMMC VCCQ = 3.3V

#define ARM_MCI_POWER_VCCQ_1V8 (0x03UL << ARM_MCI_POWER_VCCQ_Pos)

eMMC VCCQ = 1.8V

#define ARM_MCI_POWER_VCCQ_1V2 (0x04UL << ARM_MCI_POWER_VCCQ_Pos)

eMMC VCCQ = 1.2V